<?php

  /*
   * @name        JMY CMS
   * @link        https://jmy.su/
   * @copyright   Copyright (C) 2012-2025 JMY LTD
   * @license     LICENSE.txt (see attached file)
   * @version     VERSION.txt (see attached file)
   * @by          Languare temlates (see attached file)
   * @author      Orlov Alexsey
   */

   global $config;
   $lang = array_merge($lang, array (
     'feed'                                     => 'RSS informers',
     'feed_desc'                                => 'This module is designed to flexibly add various RSS informers from other sites, as well as edit and select your own RSS feed.',
     'feed_list'                                => 'List',
     'f_list'                                   => 'List of RSS informers',
     'feed_verify'                              => 'Check',
     'feed_copy'                                => 'Copy Tag',  
     'feed_in_cat'                              => 'In the category',  
     'feed_config'                              => 'Setting up the RSS feed of the site',
     'feed_add'                                 => 'Add RSS informer',
     'feed_edit'                                => 'Edit RSS Informer',
     'f_title'                                  => 'RSS informer name',
     'feed_title'                               => 'Enter the name of the RSS informer',
     'f_tag'                                    => 'RSS informer tag',
     'feed_tag'                                 => 'Filled in automatically',
     'f_url'                                    => 'URL for RSS informer',
     'feed_url'                                 => 'Enter the URL for the RSS informer',
     'f_date_format'                            => 'Time format for news',
     'feed_on'                                  => 'Enable RSS informer display',
     'feed_date_format'                         => 'j F Y H:i',
     'feed_templ'                               => 'Enter the template for the RSS informer',
     'feed_tpl'                                 => 'Template for informer',
     'feed_tpl_default'                         => 'Default template',
     'f_descr'                                  => 'RSS informer description',
     'feed_descr'                               => 'Enter a description of the RSS informer',
     'f_tinfo_date_format'                      => 'Local time and date formats',
     'f_info_date_format'                       => '<div class="text-size-small panel-scroller scroller-sm scroller-thick scroller-blue scroller-pn pn mt30" style="width: auto; min-height: 0px; height: 469px;">The following characters are recognized in the format string:
                                                    <ul>
                                                    <li><b>a</b> - "am" or "pm"</li>
                                                    <li><b>A</b> - "AM" or "PM"</li>
                                                    <li><b>B</b> - Swatch Internet time </li>
                                                    <li><b>d</b> - day (number) months, 2 digits with a leading zero, if necessary; i.e. from "01" to "31"</li>
                                                    <li><b>D</b> - day of the week, alphabetic, 3 letters; for example, "Fri"</li>
                                                    <li><b>F</b> - month, alphabetic, long; for example, "January"</li>
                                                    <li><b>g</b> - hour, 12-hour format without leading zeros; i.e. from "1" to "12"</li>
                                                    <li><b>G</b> - hour, 24-hour format without leading zeros; i.e. from "0" to "23"</li>
                                                    <li><b>h</b> - hour, 12-hour format; i.e. from "01" to "12"</li>
                                                    <li><b>H</b> - hour, 24-hour format; i.e. from "00" to "23"</li>
                                                    <li><b>i</b> - minutes; i.e. from "00" to "59"</li>
                                                    <li><b>I</b> (capital i) - "1" if Daylight Savings Time, "0" otherwise.</li>
                                                    <li><b>j</b> - day (number) months without leading zeros; i.e. from "1" to "31" </li>
                                                    <li><b>l</b> ("L" in lowercase) - day of the week, alphabetic, long; for example, "Friday" </li>
                                                    <li><b>L</b> - boolean indicating whether the year is a leap year; i.e. "0" or "1"</li> 
                                                    <li><b>m</b> - month; i.e. from "01" to "12"</li>
                                                    <li><b>M</b> - month, alphabetic, 3 letters; for example, "Jan" </li>
                                                    <li><b>n</b> - month without leading zeros; i.e. from "1" to "12" </li>
                                                    <li><b>O</b> - Difference with GMT time, in hours; for example, "+0200" </li>
                                                    <li><b>r</b> - RFC 822 date format; for example, "Thu, 21 Dec 2000 16:01:07 +0200" ( introduced in PHP 4.0.4) </li>
                                                    <li><b>s</b> - seconds; i.e. from "00" to "59"</li>
                                                    <li><b>S</b> is a simple English suffix for a day (number) months, 2 characters; i.e. "st", "nd", "rd" or "th"</li>
                                                    <li><b>t</b> - the number of days in a given month; i.e. from "28" to "31" </li>
                                                    <li><b>T</b> - setting Timezone/Time zone on this machine; for example, "EST" or
   										            "MDT" </li>
                                                    <li><b>U</b> - seconds of the Unix Epoch (starting from January 1 1970 00:00:00 GMT) </li>
                                                    <li><b>w</b> - day of the week, numeric, i.e. from "0" (Sunday) to "6" (Saturday) </li>
                                                    <li><b>W</b> - ISO-8601 number of the week in the year, weeks start from Monday/Monday 
                                                    (introduced in PHP 4.1.0) </li>
                                                    <li><b>Y</b> - year, 4 digits; for example, "1999"</li>
                                                    <li><b>y</b> - year, 2 digits; for example, "99" </li>
                                                    <li><b>z</b> - day of the year; i.e. from "0" to "365"</li>
                                                    <li><b>Z</b> - time zone offset, in seconds (i.e. from "-43200" to "43200"). </li>
                                                    The offset of time zones west of UTC is always negative, and for zones
                                                    east of UTC it is always positive.</ul></div>',
     'feed_del_desc'                            => 'Delete shortcode - [feed] ?',
     'feed_del_text'                            => 'Do you really want to delete the "[feed]" shortcode?  All data on this shortcode will be permanently deleted! ',
     'feed_max'                                 => 'The number of news in the block',
     'feed_info_max'                            => 'Specify the number of news you want to receive from this stream',  
     'feed_tmax'                                => 'Number of characters in the header',
     'feed_info_tmax'                           => 'Specify the maximum number of characters in the header, if this value is exceeded, the header will be automatically cut off, you can specify 0, then the header will be published completely of any length',  
     'feed_dmax'                                => 'Number of characters in the news text',
     'feed_info_dmax'                           => 'Specify the maximum number of characters in the news, if this value is exceeded, the news will be automatically reduced, you can specify 0, then the news will be published completely of any length',
     'rss_2_0'                                  => 'RSS 2.0 Channel Setup',
     'rss_2_0_config'                           => 'Enable RSS 2.0',
     'rss_2_0_configd'                          => 'Enabling the RSS 2.0 system, <br/> <a href="' . $config['url'] . '/feed/rss"  target="_blank">' . $lang['view'] . '</a>',
     'atom'                                     => 'Atom RSS Feed Setup',
     'atom_config'                              => 'Enable Atom RSS',
     'atom_configd'                             => 'Enabling the RSS atom system, <br/> <a href="' . $config['url'] . '/feed/atom"  target="_blank">' . $lang['view'] . '</a>',
     'yandex_turbo_rss'                         => 'Yandex Turbo pages',
     'yandex_turbo_rss_config'                  => 'Enable turbo pages',
     'yandex_turbo_rss_configd'                 => 'Enabling the Yandex turbo page system, <br/> <a href="' . $config['url'] . '/feed/turbo_rss"  target="_blank">' . $lang['view'] . '</a>',
     'yandex_metrics_code_config'               => 'Yandex Metrica code',
     'yandex_metrics_code_configd'              => 'Enter the Yandex.Metrica code, <br/> <a href="https://webmaster .yandex.ru/site/' . (str_replace(array('//'), array(''), $config['url'])) . ':80/turbo/sources/"  target="_blank">' . $lang['verify'] . '</a>',
     'block_yandex_turbo_config'                => 'Block Turbo pages',
     'block_yandex_turbo_configd'               => 'Block Yandex turbo page systems, <br/> <a href="https://webmaster .yandex.ru/site/' . (str_replace(array('//'), array(''), $config['url'])) . ':80/turbo/sources/"  target="_blank">' . $lang['verify'] . '</a>',
     'feed_empty'                               => 'No RSS informers were found for this request!',
     'feed_edit_ok'                             => 'RSS informer has been successfully updated!',
     'feed_add_ok'                              => 'RSS informer successfully added!',
     'feed_title_alert'                         => 'Attention when changing the RSS feed name, the information output tags change!',
     'feed_alt_error'                           => 'There is already such an RSS informer',
     'feed_alt_ok'                              => 'RSS informers with this name were not found',
     'feed_tag'                                 => 'Tag in the template',
     'feed_atom'                                => 'atom',
     'feed_atomd'                               => 'atom RSS feed format',
     'feed_turbo_yandex1'                       => 'rss xmlns:yandex="http://news.yandex.ru"',
     'feed_turbo_yandex2'                       => 'xmlns:media="http://search.yahoo.com/mrss/"',
     'feed_turbo_yandex3'                       => 'xmlns:turbo="http://turbo.yandex.ru" version="2.0"',
     'feed_turbo_yandexd'                       => 'RSS feed format turbo yadex v2.0',
     'feed_rss'                                 => 'rss version="2.0"',
     'feed_rssd'                                => 'RSS feed format RSS v2.0',
     'feed_not_identified'                      => 'RSS feed format not recognized',
     'feed_help'                                => 'What are RSS informers ?',
     'feed_help_desc'                           => '<p><b>RSS informers</b> — RSS is an abbreviation of the phrase Really Simple Syndication, which literally means "Really simple syndication". The word syndication in the web dictionary means simultaneous dissemination of information. We get an academic definition of what RSS is: RSS is an Internet service for the simultaneous dissemination of information on the Internet, occurring as quickly and simply as possible. What does Really Simple Syndication (RSS) mean? The RSS (Really Simple Syndication) service itself cannot work without a set of tools.  </p>',
     ));
   ?>